// 監視するファイル名
var filename = 'test.swf.html';

// __________________________________________________________________
// requireを使ったモジュール読み込み
var fs = require('fs');
var path = require('path')
// 対象ファイル
var file = __dirname + path.sep + filename;
// 開始タイトル
console.log( '[' + filename + '] ファイル監視');
console.log( '--------------------------------' );
// ファイル更新チェックプロセスの開始
if ( process.platform === 'win32' ) {
	// Windows用
	fs.watchFile( file, SaveSwiffyJSON );
} else {
	fs.watch( file, SaveSwiffyJSON );
}
// 対象のファイルからSwiffyの抽出
function SaveSwiffyJSON(){
	// readFileで対象ファイルを読み込んで処理開始
	fs.readFile( file , function ( err , data ) {
		// エラー処理
		if( err ) {
			console.error( 'ファイルが存在しません。' );
			process.exit(1);
		}
		// 実際の抽出
		var htmlStr = data;
		var pattern = new RegExp( 'swiffyobject = {(.*)}' , 'gi' );
		var results = pattern.exec( htmlStr );
		var swiffyStr = '{' + results[1] + '}';
		// 抽出したJSONデータの保存
		var jsonPath = path.dirname( file ) + path.sep + path.basename( file , '.swf.html' ) + '.json';
		var writableStream = fs.createWriteStream( jsonPath );
		writableStream.write( swiffyStr );
		writableStream.end();
		// 結果表示
		console.log( 'ファイルが更新されました' );
		console.log( '[' + jsonPath + '] に保存しました' );
		console.log( '--------------------------------' );
	});
}
